locked
Is it possible to load a DLL using .NET4.0 in an App targetted to .NET3.5? RRS feed

  • Question

  • We have an C++/CLI App project targetted to .NET3.5 which need load some 3rd party .NET library and native C++ DLLs. Now we plan to move to VS2010 and try to find a way require minimum workload, so our first step is to move to VS2010 IDE but keep projects complied by VS2008 compilers.

    If we do so, is it possible for the App to load DLLs using .NET4.0 library directly or indirectly?

    If not possible, then it seems we  have to re-target our App to .NET4.0(then it have to be complied by VS2010 compiler). If so,  is it still possible to load the original DLLs(native or managed) which are compiled by VS2008 compiler?

    Thanks!

    Saturday, April 3, 2010 7:39 AM

Answers